#!/bin/sh
#
# Build XML metrics for all files in current directory.

# This list contains all jars required to build the font metrics.
CLASSPATH=/usr/share/java/fop.jar:$CLASSPATH
CLASSPATH=/usr/share/java/xmlParserAPIs.jar:$CLASSPATH
export CLASSPATH


# Build metrics for $1
build_metrics() {
  # prolly bash-specific?
  TTF=$1
  XML=${TTF/%ttf/xml}
  echo "Building metrics $XML for $TTF"
  java org.apache.fop.fonts.apps.TTFReader "$TTF" "$XML"
}


for i in *ttf ; do
  build_metrics "$i"
done

