<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                version='1.0'>

<xsl:import href=$$IMPORTED_XSLT$$/>
    <!-- Import the set of templates we are modifying. 
         This will be processed by DocGen. -->


<!-- XSL parameters modification... -->

<!-- Output encoding -->
<!--<xsl:output method="html" encoding="iso-8859-2"/>-->

<!-- Use extensions? -->
<!--<xsl:param name="use.extensions" select="1"/>-->

<!-- Section numbering -->
<xsl:param name="section.autolabel" select="1"/>

<!-- Should section numbers contain chapter numbers? -->
<xsl:param name="section.label.includes.component.label" select="1"/>

<!-- Chapters numbering on/off -->
<xsl:param name="chapter.autolabel" select="1"/>

<!-- Navigation graphics -->
<!--
<xsl:param name="navig.graphics.extension" select="'.png'"/>
<xsl:param name="navig.graphics" select="1"/>
-->

<!-- Use graphics for callouts and notes/warnings -->
<!-- Note: use gifs, because FOP needs extra libs for png support -->
<xsl:param name="callout.graphics" select="1"/>
<xsl:param name="callout.graphics.extension" select="'.png'"/>
<xsl:param name="admon.graphics" select="1"/>
<xsl:param name="admon.graphics.extension" select="'.png'"/>

<!-- Notes/warnings margin -->
<!--
<xsl:param name="admon.style">
  <xsl:text>margin-left: 0.5in; margin-right: 0.5in;</xsl:text>
</xsl:param>
-->

<!-- Function synopsis in ansi style -->
<xsl:param name="funcsynopsis.style" select="ansi"/>

<!-- Do not download the image from Internet. -->
<xsl:param name="draft.watermark.image" select="'none.png'"/>


<!-- XSL templates modification... -->
<xsl:include href="templates/html.xsl"/>

</xsl:stylesheet>
