<?php
require_once( "massiv.php" );
html_begin( "Demo" );
?>

<h3> <?php draw_dot(); ?> The Demo </h3>

<h5> About </h5>

<p>
The Massiv Core library is distributed together with a simple exemplary
application called "the Demo". The application demonstrates the use of the 
Core features in the practice and provides examples of basic problems, that 
have to be dealt with while writing an online distributed game, principles 
and their solutions in the Massiv environment. Now it seems to be 
unnecessarily complex, but despite that we belive that it can be useful in 
the process of getting faimiliar with programming using the Massiv. The Demo
is not a basis for a real online game.
</p>

<p>
<img src="gfx/shot1.jpg" class="image" alt="Screenshot 1">
<img src="gfx/shot2.jpg" class="image" alt="Screenshot 2">
<img src="gfx/shot3.jpg" class="image" alt="Screenshot 3">
<img src="gfx/shot4.jpg" class="image" alt="Screenshot 4">
</p>

<h5> Info </h5>

<p>
The Demo implements a simple virtual world consisting of a map, entities and
players. The map is split into rectangular sectors, each one being 
potentially owned by a different node. Sectors are represented by managed
objects and can be modified in the real time (terrain), the changes are 
presented to clients by utilizing object replication.
</p>

<p>
For more information please consult the presentation, the Massiv
documentation and the Demo sources.
</p>

<?php html_end(); ?>
