<?php

require_once("common.php");

$title      = "Massiv - Massively Multiplayer Online Game Middleware";
$www_addr     = "http://massiv.objectweb.org";

$source_welcome = "<!-- Hi, visit $title homepage at $www_addr -->";

function draw_dot()
    {
    ?><img src="gfx/dot.png" class="image" alt="" /><?php
    } 

function menu_link( $name, $addr )
    {
    $addr = mkquo( $addr );
    echo "<a href=$addr>$name</a><br>\n";
    }

function left_menu()
    {
    ?>
    <table class="invis" summary="This table contains link menu.">
    <tr>
        <td>
        <div class="content">
        <b>Massiv</b><br>
        <div class="submenu">
        <?php
            menu_link( "About", "index.html" );
            menu_link( "Status", "status.html" );
            menu_link( "Demo", "demo.html" );
            menu_link( "Downloads", "downloads.html" );
            menu_link( "Contact&nbsp;Us", "contact.html" );
        ?>
        </div>
        <br><b>Development</b><br>
        <div class="submenu">
        <?php
            menu_link( "Meetings <small>[czech only]</small>", "meetings.html" );
            menu_link( "Developer Info", "develinf.html" );
            menu_link( "ChangeLog (svn)", "http://svn.forge.objectweb.org/cgi-bin/viewcvs.cgi/massiv/trunk/massiv/doc/ChangeLog?view=markup" );
            menu_link( "ObjectWeb Forge", "http://forge.objectweb.org/projects/massiv/" ); 
        ?>
        </div>
        </div>
        </td>
    </tr>
    </table>
    <?php    
    }
    
/*
page - Tabulka, obsahujici celou stranku.
*/    
function page_begin()
    {
    ?>

    <table class="page" summary="">
        <tr>
            <td colspan="2" class="headline">
            <div class="content">
            
            <span class="headlinefont">MASSIV</span> <small>Massively Multiplayer Online Game Middleware</small>
            
            <br>
            </div>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="quickmenu">
            <div class="content"> &nbsp;
            </div>
            </td>
        </tr>
        <tr>
            <td valign="top" class="menu">
                <?php left_menu(); ?>
            </td>
            <td class="pagecontent" valign="top">
                <div class="content">
            
    <?php
    }
    
function page_end()
    {
    global $www_addr, $title;
    
    ?>
            </div>
        </td>
    </tr>
    <tr>
    <td colspan="2" class="bottompanel">
    <div class="content">
    <?php
    
    // Oficialni adresa stranek.
    echo "
    <p class=\"cmnpgend\">
    <a href=\"$www_addr\" title=\"$title\"> $www_addr </a>
    </p>";
    
    // Link to ObjectWeb
    echo "<center>
        <a href=\"http://www.objectweb.org\" target=\"_blank\">
        <img src=\"http://forge.objectweb.org/themes/objectweb/images/interface/logoow3.gif\"
        border=\"0\" alt=\"ObjectWeb Logo\">
        </a>
        </center>";
        
    ?>
        
    </div>
    </td>
    </tr>
    </table>
    
    <?php    
    
    }

function html_begin( $sub_title )
    {
    global $source_welcome, $title;
    
    doc_type();                        // HTML doc type.
    echo "<html><head>\n";            // <head>
        meta_charset();
        title( $title, $sub_title );
        load_css( "massiv.css" );
        echo "$source_welcome\n";
    echo "</head><body>\n";            // </head>
    page_begin();
    }
    
function html_end()
    {
    page_end();
    echo "</body></html>\n";
    }

?>
