// Simple header for test_factgen.idl. Used to test factgen.pl.

#ifndef TEST_FACTGEN_H
#define TEST_FACTGEN_H


#include "core.h"


using namespace ::Massiv::Core;


namespace a {


class Types : public Object
    {
public:

    PBool b;
    PColor c;
    PEventHandle eh;
    PFloat64 f;
    PInt< UInt64, 37 > i;
    POrientation o;
    PString s;
    PTime t;
    PVector3 v;
    PVlInt32 vi;

    void m
        (
        SBool b,
        const SColor & c,
        const PEventHandle & eh,
        SFloat64 f,
        SInt< UInt64, 37 > i,
        const SOrientation & o,
        const SString & s,
        const STime & t,
        const SVector3 & v,
        SVlInt32 vi
        );
    };



class ComplexTypes : public Object
    {
public:

    PSet< PString > weird_method
        (
        PValueArray< SString > & varray,
        PArray< Types > & parray,
        const PDictionary< PInt32, PMultiSet< PString > > & dict,
        PMultiDictionary< PString, PRemote< Types > > & mdict,
        PPair< PInt64, ComplexTypes > & pair,
        WeakPointer< ComplexTypes > & wptr
        );
    };


} // namespace a


#endif // TEST_FACTGEN_H
