/** @file net_init_unix.cpp
 * Network initialization (unix).
 */

/*
 * begin        : Mon May 20 2002
 * copyright    : (C) 2002 by Ondrej Pecta
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "net/net.h"
#include "net/arch/unix/socket_unix.h"

namespace Massiv {
namespace Core {


void Network::arch_init()
    {
    }


void Network::arch_deinit()
    {
    }


UDPSocket * Network::create_udp_socket()
    {
    return new UDPSocketUnix();
    }


TCPSocket * Network::create_tcp_socket()
    {
    return new TCPSocketUnix();
    }


} // namespace Massiv::Core
} // namespace Massiv
