/** @file bitiostream_fwd.h
 * Various forward declarations for bit i/o streams.
 */

/*
 * begin        : Sat Jun 27 2002
 * copyright    : (C) 2001 by Petr Tovarys
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_BITIOSTREAM_FWD_H
#define MASSIV_BITIOSTREAM_FWD_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif


namespace Massiv {
namespace Core {


// bitiostream_common.h
class BitIOStream;

// bitistream.h
class BitIStream;

// bitostream.h
class BitOStream;

// netibuffer.h
class NetIBuffer;

// netobuffer.h
class NetOBuffer;


} // namespace Massiv::Core
} // namespace Massiv


#endif // MASSIV_BITIOSTREAM_FWD_H
