/** @file node_manager_settings.cpp
 * Node manager settings.
 */
 
/*
 * begin        : Sat Nov 8 2003
 * copyright    : (C) 2003 by Petr Tovarys
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "node/node_manager_settings.h"


namespace Massiv {
namespace Core {


NodeManager::NodeManagerSettings::NodeManagerSettings() :
    Settings( "NodeManager" ),
    block_disconnected_client_timeout( access_float( "block_disconnected_client_timeout", 20 ) )
    {
    }


} // namespace Massiv::Core
} // namespace Massiv
