/** @file object_provider_fwd.h
 * Object provider related forward declarations.
 */

/*
 * begin        : Tue Mar 11 2003
 * copyright    : (C) 2003 by Petr Tovarys
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/


#ifndef MASSIV_OBJECT_PROVIDER_FWD_H
#define MASSIV_OBJECT_PROVIDER_FWD_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif


namespace Massiv {
namespace Core {


class ProviderId;           // providerid.h
class ObjectProvider;       // object_provider.h
class ObjectProviderState;  // object_provider_state.h
class NodeId;               // nodeid.h


} // namespace Massiv::Core
} // namespace Massiv


#endif // MASSIV_OBJECT_PROVIDER_FWD_H
