/** @file value_type.cpp
 * Value type object implementation.
 */

/*
 * begin        : Mon Jun 21 2003
 * copyright    : (C) 2003 by Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "object/value_type.h"
#include "global/global.h"


namespace Massiv {
namespace Core {


ValueType::ValueType()
    {
    }


ValueType::ValueType
    (
    const ValueType & value
    ) : Object( value )
    {
    }


void ValueType::initialize_object()
    {
    initialize_from_owner( *Global::get_stack_root_object(), Property::Attributes() );
    }


} // namespace Massiv::Core
} // namespace Massiv
