/** @file stype_string.cpp
 * Serializable string.
 */

/*
 * begin        : Sun Oct 20 2002
 * copyright    : (C) 2002 by Martin Havlista
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "serializer/stype_string.h"
#include "utility/hash_function.h"

namespace Massiv {
namespace Core {


int SString::hash() const
    {
    return ext::hash_string( read().c_str() );
    }


} // namespace Massiv::Core
} // namespace Massiv


#ifndef ENABLE_INLINE
#include "serializer/stype_string_inline.h"
#endif
