/** @file tick_lock.cpp
 * System tick lock implementation.
 */

/*
 * begin        : Mon Jun 20 2003
 * copyright    : (C) 2003 by Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "system/tick_lock.h"
#include "system/system.h"

namespace Massiv {
namespace Core {


TickLock::TickLock()
    {
    System::lock_tick();
    }


TickLock::~TickLock()
    {
    System::unlock_tick();
    }


} // namespace Massiv::Core
} // namespace Massiv
