/** @file data_test.h
 * Testing data management.
 */

/*
 * begin        : Sun Feb 09 2003
 * copyright    : (C) 2003 by Martin Havlista
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/


#ifndef MASSIV_DATA_TEST_H
#define MASSIV_DATA_TEST_H

#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

namespace Massiv {
namespace Core {
namespace Test {


/**
 * @todo
 */
class DataTest
    {
    
public:

    /**
     * Constructor.
     */
    DataTest();

    NO_COPY_CONSTRUCTOR( DataTest );
    NO_ASSIGNMENT_OPERATOR( DataTest );

public:

    /**
     * Run data test.
     */
    void run();

    }; // DataTest


}; // namespace Massiv::Core:Test
}; // namespace Massiv::Core
}; // namespace Massiv

#endif // _DATA_TEST_H_
