/** @file factgen_objects.cpp
 * Simple game object hierarchy used to test factory generator.
 */

/*
 * begin        : Mon Oct 14 2002
 * copyright    : (C) 2002 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "test/factgen_objects.h"


namespace Massiv {
namespace Core {
namespace Test {


#if 0

const Float64 ObjectY::FloatQTraits::min_value = 0.0;
const Float64 ObjectY::FloatQTraits::max_value = 1.0;


ObjectBase::ObjectBase()
      : base( 0 )
    {
    }


ObjectBase::~ObjectBase()
    {
    }


void ObjectBase::initialize()
    {
    }


ObjectA::ObjectA()
      : a( 0 )
    {
    }


ObjectA::~ObjectA()
    {
    }


void ObjectA::initialize()
    {
    }


ObjectB::ObjectB()
      : b( 0 )
    {
    }


ObjectB::~ObjectB()
    {
    }


void ObjectB::initialize()
    {
    }


ObjectC::ObjectC()
      : c( 0 )
    {
    }


ObjectC::~ObjectC()
    {
    }


void ObjectC::initialize()
    {
    }


void ObjectC::print
    (
    const std::string &,
    int
    ) const
    {
    // Never really called by the test.
    }


ObjectX::ObjectX()
      : x( 0.0f )
    {
    }


ObjectX::~ObjectX()
    {
    }


void ObjectX::initialize()
    {
    }


ObjectY::ObjectY()
      : y( 0.0 )
    {
    }


ObjectY::~ObjectY()
    {
    }


void ObjectY::initialize()
    {
    }


ObjectZ::ObjectZ()
      : z( false )
    {
    }


ObjectZ::~ObjectZ()
    {
    }


void ObjectZ::initialize()
    {
    }


ObjectTest::ObjectTest()
    {
    }


ObjectTest::~ObjectTest()
    {
    }


void ObjectTest::initialize()
    {
    }


VariantPointer BaseVirtualCast::operator()
    (
    ObjectProperty * object
    ) const
    {
    ObjectTest * const object_test = dynamic_cast< ObjectTest * >( object );
    ObjectBase * const object_base = static_cast< ObjectZ * >( object_test );
    return VariantPointer( object_base );
    }

const std::type_info & BaseVirtualCast::get_target_type_info() const
    {
    return typeid( ObjectBase );
    }


VariantPointer BaseViaACast::operator()
    (
    ObjectProperty * object
    ) const
    {
    ObjectTest * const object_test = dynamic_cast< ObjectTest * >( object );
    ObjectBase * const object_base = static_cast< ObjectA *>( object_test );
    return VariantPointer( object_base );
    }

const std::type_info & BaseViaACast::get_target_type_info() const
    {
    return typeid( ObjectBase );
    }


VariantPointer BaseViaBCast::operator()
    (
    ObjectProperty * object
    ) const
    {
    ObjectTest * const object_test = dynamic_cast< ObjectTest * >( object );
    ObjectBase * const object_base = static_cast< ObjectB * >( object_test );
    return VariantPointer( object_base );
    }

const std::type_info & BaseViaBCast::get_target_type_info() const
    {
    return typeid( ObjectBase );
    }

#endif


} // namespace Massiv::Core::Test
} // namespace Massiv::Core
} // namespace Massiv
