/** @file test_architecture.h
 * Architecture, OS and compiler miscellaneous tests.
 */

/*
 * begin        : Thu May 16 2002
 * copyright    : (C) 2002 by Petr Tovarys
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_TEST_ARCHITECTURE_H
#define MASSIV_TEST_ARCHITECTURE_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TEST_H
#include "test/test.h"
#endif



namespace Massiv {
namespace Core {
namespace Test {


class ArchitectureTest : public Test
    {
public:

    /**
     * Constructor.
     */
    ArchitectureTest();

    /**
     * Destructor.
     */
    ~ArchitectureTest();

public:

    /**
     * Run test
     */
    void test();

private:

    bool bit_bool : 1;

    }; // class ArchitectureTest


}; // namespace Massiv::Core::Test
}; // namespace Massiv::Core
}; // namespace Massiv


#endif // _TEST_ARCHITECTURE_H_
