/** @file test_bitiostream.h
 * Bitstream testing.
 */

/*
 * begin        : Tue Nov 27 2001
 * copyright    : (C) 2001 by Ondrej Pecta
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef _TEST_BITSTR_H_
#define _TEST_BITSTR_H_


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TEST_H
#include "test/test.h"
#endif



namespace Massiv {
namespace Core {
namespace Test {


class BitIOStreamTest : public Test
    {
public:
  
    /**
     * Constructor.
     */
    BitIOStreamTest();

    /**
     * Destructor.
     */
    ~BitIOStreamTest();

public:

    /**
     * Run test
     */
    void test();

public:
    
    /**
     */
    void test_a();

    /**
     */
    void test_b();

    }; // class BitIOStreamTest


}; // namespace Massiv::Core::Test
}; // namespace Massiv::Core
}; // namespace Massiv


#endif // _TEST_LOGGER_H_
