/** @file test_cache.h
 * Cache testing.
 */

/*
 * begin        : Thu Feb 21 2002
 * copyright    : (C) 2001 by Petr Tovarys
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_TEST_CACHE_H
#define MASSIV_TEST_CACHE_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TEST_H
#include "test/test.h"
#endif



namespace Massiv {
namespace Core {
namespace Test {


class CacheTest : public Test
    {
public:

    /**
     * Constructor.
     */
    CacheTest();

    /**
     * Destructor.
     */
    ~CacheTest();

public:

    /**
     * Run test
     *
     */
    void test();

    }; // class CacheTest


}; // namespace Massiv::Core::Test
}; // namespace Massiv::Core
}; // namespace Massiv


#endif // _TEST_CACHE_H_
