/** @file test_crypto.h
 * Cryptography testing.
 */

/*
 * begin        : Tue Nov 27 2001
 * copyright    : (C) 2001 by Ondrej Pecta
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_TEST_CRYPTO_H
#define MASSIV_TEST_CRYPTO_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TEST_H
#include "test/test.h"
#endif


namespace Massiv {
namespace Core {
namespace Test {


class CryptoTest : public Test
    {
public:

    /**
     * Constructor.
     */
    CryptoTest();

    /**
     * Destructor.
     */
    ~CryptoTest();

public:

    /**
     * Run test
     *
     */
    void test();

private:
    /**
     * not used now
     */

    };


} // namespace Massiv::Core::Test
} // namespace Massiv::Core
} // namespace Massiv


#endif // MASSIV_TEST_CRYPTO_H
