/** @file test_object_provider.h
 * Object provider related tests.
 */

/*
 * begin        : Tue Mar 11 2003
 * copyright    : (C) 2003 by Petr Tovarys
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_TEST_OBJECT_PROVIDER_H
#define MASSIV_TEST_OBJECT_PROVIDER_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TEST_H
#include "test/test.h"
#endif



namespace Massiv {
namespace Core {
namespace Test {


class ObjectProviderTest : public Test
    {
    typedef Test    Super;

public:

    /** Constructor. */
    ObjectProviderTest();

public:
    /** Run test */
    virtual void test();
    
private:
    void test_provider_id();
    void test_provider_state();
    void test_provider_cache();

    }; // ObjectProviderTest


} // namespace Massiv::Core::Test
} // namespace Massiv::Core
} // namespace Massiv


#endif // MASSIV_TEST_OBJECT_PROVIDER_H
