/** @file test_volume_manager.h
 * Test of volume manager.
 */

/*
 * begin        : Wed 09 Apr 2003
 * copyright    : (C) 2003 by Marek Svantner
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_TEST_VOLUME_MANAGER_H
#define MASSIV_TEST_VOLUME_MANAGER_H

#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TEST_H
#include "test/test.h"
#endif

#ifndef MASSIV_VOLUME_MANAGER_H
#include "filesys/volume_manager.h"
#endif

#include <string>

namespace Massiv {
namespace Core {
namespace Test {


/**
 * Testing of the volume manager.
 */
class VolumeManagerTest : public Test
    {
public:

    /**
     * Constructor.
     */
    VolumeManagerTest();

    /**
     * Destructor.
     */
    ~VolumeManagerTest();

    /**
     * Run test
     */
    void test();

    }; // class VolumeManagerTest

}  // namespace Test
}  // namespace Core
}  // namespace Massiv

#endif // MASSIV_TEST_VOLUME_MANAGER_H
