/** @file system_time_inline.h
 * SystemTime inline implementation.
 */

/*
 * begin        : Fri May 23 2003
 * copyright    : (C) 2003 by Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

namespace Massiv {
namespace Core {

SystemTime::SystemTime()
    {
    }

SystemTime::SystemTime
    (
    TimeType time
    ) : Super( time )
    {
    }

SystemTime::SystemTime
    (
    const Super & time
    ) : Super( time )
    {
    }

SystemTime::SystemTime
    (
    const SystemTime & time
    ) : Super( time )
    {
    }

SystemTime & SystemTime::operator=
    (
    const Super & time
    )
    {
    Super::operator=( time );
    return *this;
    }

SystemTime & SystemTime::operator=
    (
    const TimeType & time
    )
    {
    operator=( SystemTime( time ) );
    return *this;
    }

} // namespace Massiv::Core
} // namespace Massiv
