/** @file media_repository_inilne.h
 * Media repository (inline methods).
 */

/*
 * begin        : Jul 2003
 * copyright    : (C) 2003 by Petr Tovarys
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/


namespace Demo {
namespace Client {


MediaRepository::IconTemplate::IconTemplate() :
    top_left_uv( 0.0f, 0.0f ),
    bottom_right_uv( 1.0f, 1.0f )
    {
    }


MediaRepository::IconTemplate::IconTemplate
    (
    const std::string & the_texture_name,
    Float32             the_u1,
    Float32             the_v1,
    Float32             the_u2,
    Float32             the_v2
    ) :
    texture_name( the_texture_name ),
    top_left_uv( the_u1, the_v1 ),
    bottom_right_uv( the_u2, the_v2 )
    {
    }


} // namespace Demo::Client
} // namespace Demo
