/** @file icon_inline.h
 * Overlay object - icon (inline methods).
 */

/*
 * begin        : Jun 2003
 * copyright    : (C) 2003 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

namespace Demo {
namespace Client {
namespace Renderer {


OpenGL::Vector2 Icon::get_top_left_uv() const
    {
    return top_left_uv;
    }
    

OpenGL::Vector2 Icon::get_bottom_right_uv() const
    {
    return bottom_right_uv;
    }

    
void Icon::set_uv
    (
    GLfloat u1,
    GLfloat v1,
    GLfloat u2,
    GLfloat v2
    )
    {
    top_left_uv = OpenGL::Vector2( u1, v1 );
    bottom_right_uv = OpenGL::Vector2( u2, v2 );
    }


} // namespace Demo::Client::Renderer
} // namespace Demo::Client
} // namespace Demo

