/** @file model_inline.h
 * 3D model object - mesh + render jobs (inline methods).
 */

/*
 * begin        : Oct 2003
 * copyright    : (C) 2003 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

namespace Demo {
namespace Client {
namespace Renderer {


bool Model::cast_ray
    (
    Float32 &           distance,
    SVector3 &          normal,
    const SVector3 &    origin,
    const SVector3 &    direction,
    std::size_t         stream_index
    ) const
    {
    return mesh.cast_ray( distance, normal, origin, direction, stream_index );
    }


} // namespace Demo::Client::Renderer
} // namespace Demo::Client
} // namespace Demo

