/** @file opengl_extensions.cpp
 * Various OpenGL extensions.
 */

/*
 * begin        : Jun 2003
 * copyright    : (C) 2003 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "opengl.h"


namespace GL {


#define GLFN_BEGIN_EXTENSION( n )   bool n ## _supported;
#define GLFN( r, n, a )             r ( GLAPIENTRY * n ) a;
#define GLFN_END_EXTENSION( n )

#include "opengl_ext_functions.h"

#undef GLFN_END_EXTENSION
#undef GLFN_BEGIN_EXTENSION
#undef GLFN


} // namespace GL
