/** @file collision_info.h
 * Collision info.
 */

/*
 * begin        : Sun Nov 16 2003
 * copyright    : (C) 2003 by Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "core.h"
#include "lib/server/collision_info.h"


namespace Demo {
namespace Lib {

INJECT_CORE_SYMBOLS();


CollisionInfo::CollisionInfo()
    {
    initialize_object();
    default_constructed();
    }


CollisionInfo::CollisionInfo
    (
    const CollisionInfo & info
    ) : ValueType( info ),
        reason( info.reason ),
        entity( info.entity ),
        entity_flags( info.entity_flags )
    {
    initialize_object();
    }


} // namespace Demo::Lib
} // namespace Demo
