/** @file shared_fwd.h
 * Shared lib forward declarations.
 */

/*
 * begin        : Wed Aug 20 2003
 * copyright    : (C) 2003 by Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef DEMO_SHARED_FWD_H
#define DEMO_SHARED_FWD_H

namespace Demo {
namespace Lib {

class Ability;
class AccountObject;
class ClientEntity;
class ClientItem;
class ClientItemSlotContainer;
class ClientLight;
class ClientNodeInterface;
class ClientSector;
class Container;
class EntityPosition;
class Enumerator;
class HashTable;
class List;
class NodeObject;
class PlayerAction;
class SectorAddress;
class ServerNodeInterface;
class WeakList;

class Console;
class NodeConsole;

} // namespace Demo::Lib
} // namespace Demo

#endif // DEMO_SHARED_FWD_H
