/** @file server_global_inline.h
 * Global server stuff (inline functions).
 */

/*
 * begin        : Oct 2003
 * copyright    : (C) 2003 by Ondrej Pecta
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/


namespace Demo {
namespace Server {

bool Global::is_initialized()
    {
    return objects != NULL;
    }


Demo::Lib::AccountConsole & Global::get_account_console()
    {
    hope( objects );
    hope( objects->account_console.get() );
    return *objects->account_console;
    }


} // namespace Server
} // namespace Demo
