/** @file main.cpp
 * Testing server main.
 */

/*
 * begin        : Thu Mar 11 2003
 * copyright    : (C) 2003 by Martin Havlista
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/


#include "server_common.h"
#include "server_main.h"
#include <iostream>
#include <typeinfo>


using namespace Massiv::ServerTest::Signal;


/**
 * Main.
 */
int main()
    {
    try
        {
        server_main();
        }
    catch( Massiv::Core::Exception & exception )
        {
        std::cout << "Unhandled exception " << typeid( exception ).name() <<
            " caught:\n" << exception.what() << std::endl;
        throw;
        }

    return 0;
    }
