/** @file core_base.h
 * Massiv core public interface.
 * Exposes basic core services.
 */

/*
 * begin        : Wed Mar 12 2003
 * copyright    : (C) 2003 by Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_CORE_BASE_H
#define MASSIV_CORE_BASE_H

#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TYPES_H
#include "utility/types.h"
#endif

#ifndef MASSIV_MATH_H
#include "utility/math.h"
#endif

#ifndef MASSIV_SYSTEM_H
#include "system/system.h"
#endif

#ifndef MASSIV_DEBUG_H
#include "utility/debug.h"
#endif

#ifndef MASSIV_STATUS_H
#include "status/status.h"
#endif

#ifndef MASSIV_EXCEPTION_H
#include "status/exception.h"
#endif


#endif // MASSIV_CORE_BASE_H
