#! /usr/bin/perl -w

use strict ;
use warnings ;

use FindBin ;
use lib "$FindBin::Bin/../lib" ;
use IdlParser ;

my $file_name = $ARGV[ 0 ] || 'test_idl.idl' ;
my $parser = IdlParser->new ;
$parser->push_file( $file_name ) ;

$parser->parse() ;

#use Data::Dumper ;
#print Dumper( $parser ) ;

$parser->dump() ;

