/** @file common_icc.h
 * Common Intel C compiler stuff.
 */

/*
 * begin        : 2003
 * copyright    : (C) 2003 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/


#ifndef MASSIV_COMMON_ICC_H
#define MASSIV_COMMON_ICC_H


namespace Massiv {
namespace Core {


// Set level of some warning to 4.

// 186: poinless comparsion of unsigned integer with zero.
// Usually in "hope( i >= 0 )". Sometimes it's not obvious that type of i
// is unsigned, so we want to use such asserts.

#pragma warning ( 4 186 )

} // namespace Massiv::Core
} // namespace Massiv


#endif // _COMMON_ICC_H_
