/** @file properties.h
 * Definitions of all properties.
 */

/*
 * begin        : Feb 2003
 * copyright    : (C) 2003 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_PROPERTIES_H
#define MASSIV_PROPERTIES_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_PROPERTY_H
#include "property/property.h"
#endif

#ifndef MASSIV_PROP_BOOL_H
#include "property/prop_bool.h"
#endif

#ifndef MASSIV_PROP_COLOR_H
#include "property/prop_color.h"
#endif

#ifndef MASSIV_PROP_ENUM_H
#include "property/prop_enum.h"
#endif

#ifndef MASSIV_PROP_EVENT_HANDLE_H
#include "property/prop_event_handle.h"
#endif

#ifndef MASSIV_PROP_FLOAT_H
#include "property/prop_float.h"
#endif

#ifndef MASSIV_PROP_INT_H
#include "property/prop_int.h"
#endif

#ifndef MASSIV_PROP_ORIENTATION_H
#include "property/prop_orientation.h"
#endif

#ifndef MASSIV_PROP_POINTER_H
#include "property/prop_pointer.h"
#endif

#ifndef MASSIV_PROP_REMOTE_CALL_H
#include "property/prop_remote_call.h"
#endif

#ifndef MASSIV_PROP_STRING_H
#include "property/prop_string.h"
#endif

#ifndef MASSIV_PROP_TIME_H
#include "property/prop_time.h"
#endif

#ifndef MASSIV_PROP_VLI_H
#include "property/prop_vli.h"
#endif

#ifndef MASSIV_PROP_VECTOR_H
#include "property/prop_vector.h"
#endif

#ifndef MASSIV_PROP_ARRAY_H
#include "property/prop_array.h"
#endif

#ifndef MASSIV_PROP_PAIR_H
#include "property/prop_pair.h"
#endif

#ifndef MASSIV_PROP_DICTIONARY_H
#include "property/prop_dictionary.h"
#endif


#endif // MASSIV_PROPERTIES_H
