/** @file stype_bool.cpp
 * Serializable lightweight booleans. Wrappers around bool native type.
 */

/*
 * begin        : Mon Apr 8 2002
 * copyright    : (C) 2002 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "global/common.h"
#include "serializer/stype_bool.h"

namespace Massiv {
namespace Core {
    

std::string SBool::to_string() const
    {
    if( read() )
        {
        return "true";
        }
    else
        {
        return "false";
        }
    }


} // namespace Massiv::Core
} // namespace Massiv

#ifndef ENABLE_INLINE
#include "serializer/stype_bool_inline.h"
#endif
