/** @file stype_time.cpp
 * Serializable "simulation" ("game") time.
 */

/*
 * begin        : Fri Apr 5 2002
 * copyright    : (C) 2002 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "global/common.h"
#include "system/system.h"
#include "serializer/stype_time.h"

namespace Massiv {
namespace Core {


STime STime::current_time()
    {
    return System::time();
    }


} // namespace Massiv::Core
} // namespace Massiv

#ifndef ENABLE_INLINE
#include "stype_time_inline.h"
#endif
