/** @file stypes.h
 * Definitions of all serializable types.
 */

/*
 * begin        : Jun 2003
 * copyright    : (C) 2003 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_STYPES_H
#define MASSIV_STYPES_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_STYPE_FWD_H
#include "serializer/stype_fwd.h"
#endif

#ifndef MASSIV_STYPE_BOOL_H
#include "serializer/stype_bool.h"
#endif

#ifndef MASSIV_STYPE_COLOR_H
#include "serializer/stype_color.h"
#endif

#ifndef MASSIV_STYPE_ENUM_H
#include "serializer/stype_enum.h"
#endif

#ifndef MASSIV_STYPE_FLOAT_H
#include "serializer/stype_float.h"
#endif

#ifndef MASSIV_STYPE_INT_H
#include "serializer/stype_int.h"
#endif

#ifndef MASSIV_STYPE_ORIENTATION_H
#include "serializer/stype_orientation.h"
#endif

#ifndef MASSIV_STYPE_STRING_H
#include "serializer/stype_string.h"
#endif

#ifndef MASSIV_STYPE_TIME_H
#include "serializer/stype_time.h"
#endif

#ifndef MASSIV_STYPE_VECTOR_H
#include "serializer/stype_vector.h"
#endif

#ifndef MASSIV_STYPE_VLI_H
#include "serializer/stype_vli.h"
#endif


#endif // MASSIV_STYPES_H
