/** @file test_array.h
 * Array testings.
 */

/*
 * begin        : Tue Apr 10 2002
 * copyright    : (C) 2002 by Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_TEST_ARRAY_H
#define MASSIV_TEST_ARRAY_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TEST_H
#include "test/test.h"
#endif



namespace Massiv {
namespace Core {
namespace Test {


class ArrayTest : public Test
    {
public:

    /**
     * Constructor.
     */
    ArrayTest();

    /**
     * Destructor.
     */
    ~ArrayTest();

public:

    /**
     * Run test
     */
    void test();

    }; // class ArrayTest


}; // namespace Massiv::Core::Test
}; // namespace Massiv::Core
}; // namespace Massiv


#endif // _TEST_ARRAY_H_
