/** @file test_heap.h
 * Heap testing.
 */

/*
 * begin        : Sat Feb 23 2002
 * copyright    : (C) 2001 by Petr Tovarys
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_TEST_HEAP_H
#define MASSIV_TEST_HEAP_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TEST_H
#include "test/test.h"
#endif



namespace Massiv {
namespace Core {
namespace Test {


/** @class HeapTest
 * Heap testing.
 */
class HeapTest : public Test
    {
public:

    /**
     * Constructor.
     */
    HeapTest();

    /**
     * Destructor.
     */
    ~HeapTest();

public:

    /**
     * Run test
     *
     */
    void test();

    }; // class HeapTest


}; // namespace Massiv::Core::Test
}; // namespace Massiv::Core
}; // namespace Massiv


#endif // _TEST_HEAP_H_
