/** @file test_logger.h
 * Logger testing.
 */

/*
 * begin        : Tue Nov 27 2001
 * copyright    : (C) 2001 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_TEST_LOGGER_H
#define MASSIV_TEST_LOGGER_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TEST_H
#include "test/test.h"
#endif



namespace Massiv {
namespace Core {
namespace Test {


class LoggerTest : public Test
    {
public:

    /**
     * Constructor.
     */
    LoggerTest();

    /**
     * Destructor.
     */
    ~LoggerTest();

public:

    /**
     * Run test
     *
     * @todo Test ill-formed selectors.
     */
    void test();
    };


}; // namespace Massiv::Core::Test
}; // namespace Massiv::Core
}; // namespace Massiv


#endif // _TEST_LOGGER_H_
