/** @file test_objects.h
 * Object management testing.
 */

/*
 * begin        : Thu Feb 7 2002
 * copyright    : (C) 2002 by Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_TEST_OBJECTS_H
#define MASSIV_TEST_OBJECTS_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TEST_H
#include "test/test.h"
#endif


namespace Massiv {
namespace Core {
namespace Test {


class ObjectManagementTest : public Test
    {
public:

    /**
     * Constructor.
     */
    ObjectManagementTest();

    /**
     * Destructor.
     */
    ~ObjectManagementTest();

public:

    /**
     * Run test
     */
    void test();

    }; // ObjectManagementTest


}; // namespace Massiv::Core::Test
}; // namespace Massiv::Core
}; // namespace Massiv


#endif // _TEST_OBJECTS_H_
