/** @file test_union_find.h
 * Union-find testing.
 */

/*
 * begin        : Sat Mar 17 2002
 * copyright    : (C) 2002 by Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_TEST_UNION_FIND_H
#define MASSIV_TEST_UNION_FIND_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TEST_H
#include "test/test.h"
#endif


namespace Massiv {
namespace Core {
namespace Test {


class UnionFindTest : public Test
    {
public:

    /**
     * Constructor.
     */
    UnionFindTest();

    /**
     * Destructor.
     */
    ~UnionFindTest();

public:

    /**
     * Run test
     */
    void test();

    }; // UnionFindTest


}; // namespace Massiv::Core::Test
}; // namespace Massiv::Core
}; // namespace Massiv


#endif // _TEST_UNION_FIND_H_
