/** @file test_vector.h
 * Testing of Vector23.
 */

/*
 * begin        : Oct 2003
 * copyright    : (C) 2003 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSIV_TEST_VECTOR_H
#define MASSIV_TEST_VECTOR_H


#ifndef MASSIV_COMMON_H
#include "global/common.h"
#endif

#ifndef MASSIV_TEST_H
#include "test/test.h"
#endif



namespace Massiv {
namespace Core {
namespace Test {


class VectorTest : public Test
    {
public:

    /**
     * Constructor.
     */
    VectorTest();

    /**
     * Destructor.
     */
    ~VectorTest();

public:

    /**
     * Run test.
     */
    void test();

    }; // class VectorTest


} // namespace Massiv::Core::Test
} // namespace Massiv::Core
} // namespace Massiv


#endif // MASSIV_TEST_VECTOR_H
