/** @file cache.cpp
 * Generic timeout cache.
 */

/*
 * begin        : Thu Feb 21 2002
 * copyright    : (C) 2001 by Petr Tovarys
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "global/common.h"
#include "utility/cache.h"
#include "utility/cache_impl.h"


namespace Massiv {
namespace Core {


#ifdef OPTION_DEBUG

/*
 * Force compiler to instantiate the template (and find errors).
 */

template class Cache< int, int, int >;

#endif // OPTION_DEBUG


} // namespace Massiv::Core
} // namespace Massiv
