/** @file math.cpp
 * Generic math stuff (implementation).
 */

/*
 * begin        : Jun 2003
 * copyright    : (C) 2003 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "math.h"


namespace Massiv {
namespace Core {


// Instantiate FloatTraits.

template struct MASSIV_EXPORTED FloatTraits< Float32 >;
template struct MASSIV_EXPORTED FloatTraits< Float64 >;


} // namespace Massiv::Core
} // namespace Massiv

