/** @file model_md2_normals.h
 * Table of 256 MD2 normals.
 */

/*
 * begin        : Oct 2003
 * copyright    : (C) 2003 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef CLIENT_MODEL_MD2_NORMALS_H
#define CLIENT_MODEL_MD2_NORMALS_H


#ifndef CLIENT_COMMON_H
#include "client_common.h"
#endif


namespace Demo {
namespace Client {
namespace Renderer {
namespace ModelLoad {


extern SVector3 md2_normals[ 256 ];


} // namespace Demo::Client::ModelLoad
} // namespace Demo::Client::Renderer
} // namespace Demo::Client
} // namespace Demo


#endif // CLIENT_MODEL_MD2_NORMALS_H
