/** @file server_fwd.h
 * Server lib forward declarations.
 */

/*
 * begin        : Wed Aug 20 2003
 * copyright    : (C) 2003 by Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef DEMO_SERVER_FWD_H
#define DEMO_SERVER_FWD_H

#ifndef DEMO_SHARED_FWD_H
#include "lib/shared/shared_fwd.h"
#endif

namespace Demo {
namespace Lib {

class AbilityModifier;
class AccountConsole;
class AccountObjectImpl;
class Boots;
class Brain;
class CollisionInfo;
class ConvexArea;
class Device;
class Entity;
class EntityFactory;
class FloatInterpolator;
class FloodingEnumerator;
class Garbage;
class Generator;
class Item;
class ItemSlotContainer;
class Layer;
class Logic;
class ModifyElevationTask;
class Monster;
class ParallelFloodingEnumerator;
class Physical;
class PhysicalInfo;
class Pipe;
class Player;
class Potion;
class Robot;
class RobotBrain;
class Sector;
class SectorEnumerator;
class ServerNode;
class SimpleBrain;
class SpatialQuery;
class Timer;
class TimerWithPeriod;
class Weapon;
class World;

} // namespace Demo::Lib
} // namespace Demo


#endif // DEMO_SERVER_FWD_H
