/** @file server_node.cpp
 * Server node oject implementation.
 */

/*
 * begin        : Mon Mar 17 2003
 * copyright    : (C) 2003 Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#include "core.h"
#include "lib/server/server_node.h"
#include "lib/server/account_object_impl.h"


namespace Demo {
namespace Lib {


void ServerNode::initialize()
    {
    NodeObject::initialize();
    }


ServerNode::NodeType ServerNode::get_node_type() const
    {
    return NodeId::TYPE_SERVER;
    }


Pointer< Massiv::Core::Lib::AccountObjectInterface > ServerNode::create_account_object()
    {
    Pointer< AccountObjectImpl > account = CreateObject< AccountObjectImpl >( false );
    return account;
    }


} // namespace Demo::Lib
} // namespace Demo
