/** @file direction.h
 * Direction.
 */

/*
 * begin        : Mon Jul 28 2003
 * copyright    : (C) 2003 by Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef DEMO_DIRECTION_H
#define DEMO_DIRECTION_H


#ifndef DEMO_LIB_H
#include "lib/shared/lib.h"
#endif


namespace Demo {
namespace Lib {

INJECT_CORE_SYMBOLS();

/**
 * Directions in eight-conectivity.
 */
enum Direction
    {
    EAST = 0,
    NORTH_EAST = 1,
    NORTH = 2,
    NORTH_WEST = 3,
    WEST = 4,
    SOUTH_WEST = 5,
    SOUTH = 6,
    SOUTH_EAST = 7
    }; // Direction

} // namespace Demo::Lib
} // namespace Demo

#endif // DEMO_DIRECTION_H
