/** @file server_node_interface.h
 * Server node object interface.
 */

/*
 * begin        : Mon Feb 17 2003
 * copyright    : (C) 2003 by Marek Vondrak, Petr Tovarys
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef DEMO_SERVER_NODE_INTERFACE_H
#define DEMO_SERVER_NODE_INTERFACE_H


#ifndef DEMO_LIB_H
#include "lib/shared/lib.h"
#endif

#ifndef DEMO_NODE_OBJECT_H
#include "lib/shared/node_object.h"
#endif


namespace Demo {
namespace Lib {

/**
 * Server node interface.
 */
class ServerNodeInterface : public NodeObject
    {
    }; // ServerNodeInterface

} // namespace Demo::Lib
} // namespace Demo


#endif // DEMO_SERVER_NODE_INTERFACE_H
