/** @file main.cpp
 * Testing server main.
 */

/*
 * begin        : Tue Nov 22 2002
 * copyright    : (C) 2002 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/


#include "server_common.h"
#include "server_main.h"
#include <iostream>
#include <typeinfo>


using namespace Massiv::ServerTest::Philosophers;


/**
 * Main.
 *
 * @todo Options, etc.
 */
int main
    (
    int             argc,
    const char **   argv
    )
    {
    try
        {
        Massiv::ServerTest::ServerCommon::init( argc, argv );
        server_main();
        }
    catch( Massiv::Core::Exception & exception )
        {
        std::cout << "Unhandled exception " << typeid( exception ).name() <<
            " caught:\n" << exception.what() << std::endl;
        throw;
        }

    return 0;
    }
