/** @file objects.cpp
 * Testing objects.
 */

/*
 * begin        : Mon Oct 22 2002
 * copyright    : (C) 2002 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/


#include "objects.h"
#include <iostream>


namespace Massiv {
namespace ServerTest {
namespace Startup {


Null::Null()
    {
    std::cout << "Null::Null" << std::endl;
    }


Null::~Null()
    {
    std::cout << "Null::~Null" << std::endl;
    }


void Null::finalize()
    {
    std::cout << "Null::finalize" << std::endl;
    }


void Null::initialize()
    {
    }


Root::Root()
    {
    std::cout << "Root::Root" << std::endl;
    }


Root::~Root()
    {
    std::cout << "Root::~Root" << std::endl;
    }


void Root::finalize()
    {
    std::cout << "Root::finalize" << std::endl;
    }


void Root::initialize()
    {
    }


} // namespace Massiv::ServerTest::Startup
} // namespace Massiv::ServerTest
} // namespace Massiv
