/** @file server_main.h
 * Testing server.
 *
 * This server tests core system startup and basic object functions
 * such as creation. No communication.
 */

/*
 * begin        : Tue Nov 22 2002
 * copyright    : (C) 2002 by Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/


#ifndef _SERVER_MAIN_H_
#define _SERVER_MAIN_H_


#include "global/common.h"


namespace Massiv {
namespace ServerTest {
namespace Startup {


/**
 * Test server main function.
 */
void server_main();


} // namespace Massiv::ServerTest::Startup
} // namespace Massiv::ServerTest
} // namespace Massiv


#endif // _SERVER_MAIN_H_
